Bug 146591 - i386 libgdk_pixbuf{,_xlib}.so.2.0.0 are erroneously marked as requiring an executable stack
i386 libgdk_pixbuf{,_xlib}.so.2.0.0 are erroneously marked as requiring an ex...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-30 00:36 EST by Nicholas Miell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 00:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against the RPM .spec to mark libraries as noexecstack (1.22 KB, patch)
2005-01-30 00:36 EST, Nicholas Miell
no flags Details | Diff

  None (edit)
Description Nicholas Miell 2005-01-30 00:36:54 EST
On i386 systems, /usr/lib/libgdk_pixbuf.so.2.0.0 and
/usr/lib/libgdk_pixbuf_xlib.so.2.0.0 are erroneously marked as requiring an
executable stack. This is because they use several assembler source files that
do not contain a .note.GNU-stack section indicating that an executable stack is
unnecessary. As a result, any application which links to these libraries has an
executable stack. This is a security risk.

This can be fixed by either:
a) adding appropriate .note.GNU-stack sections to each assembler file
b) linking with the "-z noexecstack" option
 or
c) running "execstack -c" on the final library

Attached is a patch to the .spec which implements option C.
Comment 1 Nicholas Miell 2005-01-30 00:36:54 EST
Created attachment 110407 [details]
Patch against the RPM .spec to mark libraries as noexecstack

Note You need to log in before you can comment on or make changes to this bug.